Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | List of all members
TelnetConsole Class Reference

`#include <telnetConsole.h>`

## Public Member Functions
void | process ()
void | setTelnetParameters (S32 port, const char *telnetPassword, const char *listenPassword, bool remoteEcho=false)
void | processConsoleLine (const char *line)

## Static Public Member Functions
static void | create ()
| Initialize the telnet console. More...
static void | destroy ()
| Shut down the telnet console. More...

## Detailed Description

Telnet admin console.

Torque supports remote access to its console. This is most useful when running a dedicated server, as you can remotely administer the game (for instance, kicking people). In the context of a MMORPG, this sort of functionality would be useful for managing a server.

There are a number of products for Tribes2 which allow remote administration via a nice GUI.

# Using the Telnet Console

The TelnetConsole is designed to be used globally, so you don't instantiate it like a normal class. Instead, you allow it to manage itself:

// How to initialize the TelnetConsole.
TelnetConsole::create();
// How to shut down the TelnetConsole.
TelnetConsole::destroy();

## Member Function Documentation

void create | ( | void |  | ) |
| static

Initialize the telnet console.

void destroy | ( | void |  | ) |
| static

Shut down the telnet console.

void process | ( |  | ) |

Called by the main loop to let the console process commands and connections.

void processConsoleLine | ( | const char * | line | ) |

Callback to handle a line from the console.

Note
  This is used internally by the class; you shouldn't need to call it.

See also
  Con::addConsumer()

void setTelnetParameters | ( | S32 | port,
|  | const char * | telnetPassword,
|  | const char * | listenPassword,
|  | bool | remoteEcho = `false`
| ) |  |

Configure the parameter for the telnet console.

Parameters

  port | Port on which to listen for connections.
  telnetPassword | Password for full access to the console.
  listenPassword | Password for read-only access to the console.
  remoteEcho | Enable/disable echoing input back to the client

The documentation for this class was generated from the following files:

- network/telnetConsole.h
- network/telnetConsole.cc